Updating from 1.0.2 to 3.0.0

Discussion in 'Wii U - Hacking & Backup Loaders' started by sheltonml1, Jul 16, 2016.

  1. sheltonml1
    OP

    sheltonml1 Newbie

    Newcomer
    7
    2
    May 9, 2014
    United States
    Mount Carmel, Hawkins County, Tennessee
    I ordered a Swap Force Basic Set from Toys R Us and it came with 1.0.2 firmware on it. What's the best way about going about updating to 3.0.0? Sorry if this is in the wrong section.
     
    kingraa777 likes this.


  2. MichiS97

    MichiS97 "Leftist snowflake milennial"

    Member
    GBAtemp Patron
    MichiS97 is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    1,294
    718
    Jun 14, 2011
    Gambia, The
    Bavaria
    Why do want to update it to 3.0.0 in the first place?
     
    Coc4tm and kingraa777 like this.
  3. SonicCloud

    SonicCloud 19/09/1985 - 19/09/2017...

    Member
    858
    782
    Mar 29, 2016
    Mexico
    Somewhere
    The following games can Update to 3.0.1=

    Adventure Time: Explore the Dungeon Because I DON'T KNOW!
    Firmware - 3.0.1

    Angry Birds Star Wars
    Firmware - 3.0.1

    Assassin's Creed IV Black Flag
    Firmware - 3.0.1

    Ben 10 Omniverse 2
    Firmware - 3.0.1

    Batman: Arkham Origins
    Firmware - 3.0.1

    Call of duty: Ghost
    Firmware - 3.0.1

    Just Dance Kids 2014
    Firmware - 3.0.1

    Just Dance 2014
    Firmware - 3.0.1

    LEGO Marvel Super Heroes
    Firmware - 3.0.1

    New Super Luigi U
    Firmware - 3.0.1

    Pac-Man and the Ghostly Adventures
    Firmware - 3.0.1

    Pikmin 3
    Firmware - 3.0.1

    Sonic Lost World
    Firmware - 3.0.1

    SpongeBob Squarepants: Plankton's Robotic Revenge
    Firmware - 3.0.1

    Anyways i recommend you update to 5.5.1
     
    Coc4tm likes this.
  4. sheltonml1
    OP

    sheltonml1 Newbie

    Newcomer
    7
    2
    May 9, 2014
    United States
    Mount Carmel, Hawkins County, Tennessee
    I heard if you're below 3.0.0 that is the version to update to because that's the earliest the homebrew channel works on and it means if any future exploits come out on that version I'm ready. BUT I haven't really read up on it in a while. Any suggestions to what firmware I should update to?

    — Posts automatically merged - Please don't double post! —

    Why do you suggest 5.5.2, if you don't mind me asking.
     
  5. Kliffcom

    Kliffcom GBAtemp Regular

    Member
    144
    76
    Aug 26, 2014
    Gambia, The
    Because 5.5.1 is the latest firmware available. You can use all hombrew apps on that firmware(like loadliine or the homebrewchannel).
     
    Last edited by Kliffcom, Jul 16, 2016
    Coc4tm likes this.
  6. SonicCloud

    SonicCloud 19/09/1985 - 19/09/2017...

    Member
    858
    782
    Mar 29, 2016
    Mexico
    Somewhere
    Its said the beloved IOSU is comming this month but we don't know if that is a hoax or if its real
     
    MegaSuperab2 likes this.
  7. MichiS97

    MichiS97 "Leftist snowflake milennial"

    Member
    GBAtemp Patron
    MichiS97 is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    1,294
    718
    Jun 14, 2011
    Gambia, The
    Bavaria
    5.5.1 has a public kernel exploit now so there's really no need to stay on such an outdated firmware
     
  8. SonicCloud

    SonicCloud 19/09/1985 - 19/09/2017...

    Member
    858
    782
    Mar 29, 2016
    Mexico
    Somewhere
    The kernel exploit has already came out and its best to update to 5.5.1

    But if you still want to keep on 3.0.1 i think you can spoof your Wii U FW...

    https://gbatemp.net/threads/wup-installer-title-installer-firmware-spoofing-3-x-5-4-0.397053/
     
  9. Swiftloke

    Swiftloke Hwaaaa!

    Member
    1,770
    1,516
    Jan 26, 2015
    United States
    Nowhere
    No, it's real. The exploits Hykem used were leaked. If it's coming out this month all depends on devs can finish it in time.
     
  10. SonicCloud

    SonicCloud 19/09/1985 - 19/09/2017...

    Member
    858
    782
    Mar 29, 2016
    Mexico
    Somewhere
    WAIT REAL-

    Ahem...So, yeah OP as you heard it may be good to update to 5.5.1! :)
     
    Last edited by SonicCloud, Jul 16, 2016
  11. Swiftloke

    Swiftloke Hwaaaa!

    Member
    1,770
    1,516
    Jan 26, 2015
    United States
    Nowhere
    Yup, IOSU userland is taken over with the CtrlChicken vulnerability and the IOSU kernel is taken over with 0xf5af5af5a. Google it.
     
  12. OctopusRift

    OctopusRift GBATemp's Local Octopus, Open 9am-2am. "Not Yet"

    Member
    1,460
    832
    Nov 19, 2014
    Saint Kitts and Nevis
    DONT. IF YOU CAN. UPDATE TO 5.2.0 THERE IS AN IOSU EXPLOIT AVAILABLE FOR IT.
     
  13. Swiftloke

    Swiftloke Hwaaaa!

    Member
    1,770
    1,516
    Jan 26, 2015
    United States
    Nowhere
    Wtf? No. There is a known IOSU vulnerability, in userland only, for 5.2. there is a known userland and kernel iosu vulnerability on 5.5.1.
     
  14. OctopusRift

    OctopusRift GBATemp's Local Octopus, Open 9am-2am. "Not Yet"

    Member
    1,460
    832
    Nov 19, 2014
    Saint Kitts and Nevis
    oh. shit. forgot that part. well. the exploit is already public for 5.5.1, but no one has written the fuckin 8 lines of code required.
     
  15. Swiftloke

    Swiftloke Hwaaaa!

    Member
    1,770
    1,516
    Jan 26, 2015
    United States
    Nowhere
    If you think it's that simple, why don't you do it?
     
  16. kingraa777

    kingraa777 boom!

    Member
    1,050
    266
    Apr 17, 2015
    id wait at 1.0.2 and see what happens ;) i dont understand the 3.0 part ?
     
  17. Bug_Checker_

    Bug_Checker_ GBAtemp Advanced Fan

    Member
    950
    444
    Jun 10, 2006
    United States
    Warning: Spoilers inside!

    These are ONLY valid for 1st prints and NOT for reprints.
     
  18. sheltonml1
    OP

    sheltonml1 Newbie

    Newcomer
    7
    2
    May 9, 2014
    United States
    Mount Carmel, Hawkins County, Tennessee
    Okay thanks everyone for your input.

    Like I said, I haven't been following much and I was finally able to buy a wii u. I was following the Definitive Wii U Hacking guide and it says to update to 3.0.0 and stay there is my reasoning.
     
  19. Bug_Checker_

    Bug_Checker_ GBAtemp Advanced Fan

    Member
    950
    444
    Jun 10, 2006
    United States
    There was an original exploit (not really public) that worked for 3.x.x and some firmware versions below.
    That exploit was used by those dumping Wii U discs and by early ODE developers but it was closed (IIRC) in 4.0.x. and crippled the the ODE developers.
     
  20. OctopusRift

    OctopusRift GBATemp's Local Octopus, Open 9am-2am. "Not Yet"

    Member
    1,460
    832
    Nov 19, 2014
    Saint Kitts and Nevis
    Because the toolkit needs to have the functions in it. The libs for wii u are shit quite frankly, and I aint writing em.